<html>
<body>
<div>
    <h3>Payment Information:</h3>
    <table border="1">
        <tr>
            <td>Payment Id</td>
            <td>{{ payment.id }}</td>
        </tr>
        <tr>
            <td>Amount</td>
            <td>{{ payment.amount }} {{ payment.amount_currency }}</td>
        </tr>
        <tr>
            <td>Created On</td>
            <td>{{ payment.created }}</td>
        </tr>
        <tr>
            <td>State</td>
            <td>{{ payment.state }}</td>
        </tr>
    </table>
</div>
<div>
    <h3>Payment History:</h3>
    <table border="1">
        <tr>
            <th>Date</th>
            <th>Change</th>
            <th>Comment</th>
        </tr>
        <tr>
            <td>{{payment.created}}</td>
            <td>created</td>
            <td></td>
        </tr>
        {% for log in payment_logs %}
        <tr>
            <td>{{ log.created }}</td>
            <td>{{ log.reason }}</td>
            <td>{{ log.comment }}</td>
        </tr>
        {% endfor %}
    </table>
</div>
<div>
    <h3>Customer Information:</h3>
    <table border="1">
        <tr>
            <td>Customer Id</td>
            <td>{{ customer.id }}</td>
        </tr>
        <tr>
            <td>Name</td>
            <td>{{ customer.first_name }} {{ customer.last_name }}</td>
        </tr>
        <tr>
            <td>E-Mail</td>
            <td>{{ customer.email }}</td>
        </tr>
    </table>
</div>
<div>
    <h3>Actions</h3>
    <p>Change the status of the payment.</p>
    <form method="post" action="/payment/{{payment.id}}/create_log/">
        <input type="text" name="comment" placeholder="comment"/>
        <br/>
        <br/>
        <button type="submit" name="reason" value="processing">Processing</button>
        <button type="submit" name="reason" value="failed">Fail</button>
        <button type="submit" name="reason" value="success">Success</button>
        <button type="submit" name="reason" value="canceled">Cancel</button>
        <button type="submit" name="reason" value="disputed">Dispute</button>
        <button type="submit" name="reason" value="refunded">Refund</button>
    </form>
</div>
</body>
</html>